---
<!-- title: Cours de programmation séquentielle en Rust -->
<!-- subtitle: Types avancés -->
author: Orestis Malaspinas
<!-- date: 25 avril 2018 -->
sansfont: Sans Serif
---

# Programmation en Rust

- [1.1 Introduction](intro.html).
- [1.2 Installation](installation.html).
- [1.3 Variables](variables.html).
- [1.4 Types](types.html).
- [1.5 Structures de contrôle](control.html).
- [2.1 Types avancés](types_avances.html).
- [2.2 Organisation du code](modules.html).
- [3.1 Fonctions](fonctions.html).
- [3.2 Ownership](ownership.html).
- [4.1 Commentaires](commentaires.html).
- [4.2 Gestion d'erreurs](errors.html).
- [6.1 Méthodes](methods.html).
- [6.2 Pointeurs intelligents](smart_pointers.html).
- [7.1 Génériques](generics.html).
- [7.2 Traits](traits.html).
- [8.1 Tests](tests.html).
- [8.2 Vecteurs](vec.html).
- [11.1 Itérateurs](iterators.html).
- [12.1 Unsafe Rust](collections.html).
- [13.1 Lifetimes](lifetimes.html).
