extern crate rayon;

use rayon::iter::IntoParallelRefIterator; 
use rayon::iter::ParallelIterator;

fn sum_counter(v: &Vec<i32>) -> (i32, i32) {
    let mut counter = 0;
    // let res = v.iter().map(|&vi| {
    let res = v.par_iter().map(|&vi| {
        counter += 1;
        vi * vi
    }).sum();
    (res, counter)

}

fn main() {
    let v = vec![1, 2, 3, 4, 5, 6, 7, 8];

    let res: i32 = v.iter().map(|&vi| vi * vi).sum();
    let res: i32 = v.par_iter().map(|&vi| vi * vi).sum();

    println!("res = {}", res);

    println!("res, counter = {:?}", sum_counter(&v));
}
