fn do_something(_notebook: Vec<String>) { // _notebook prend l'ownership
    // Do something with the library
} // _notebook est détruit et ses données aussi

fn main() {
    let mut notebook = Vec::new(); // par défaut notebook est immutable

    notebook.push(String::from("Il fait beau."));
    notebook.push(String::from("Les oiseaux chantent."));

    do_something(notebook); // ownership transféré à do_something
    // do_something(notebook); // redo something

    let a = 1;
    let raw = &a as *const i32;

    let b = unsafe {
        *raw
    };
    println!("{}", unsafe { *raw });
}
